POST api/campaigns/preview/count
Request Information
URI Parameters
None.
Body Parameters
CampaignPreviewDto| Name | Description | Type | Additional information |
|---|---|---|---|
| CampaignId | globally unique identifier |
None. |
|
| ToPersonIds | Collection of globally unique identifier |
None. |
|
| IsNewPerson | boolean |
None. |
|
| string |
None. |
||
| Telephone | string |
None. |
|
| Firstname | string |
None. |
|
| Lastname | string |
None. |
|
| Address | string |
None. |
|
| Postcode | string |
None. |
|
| City | string |
None. |
|
| ProductIds | Collection of string |
None. |
|
| FilterIds | Collection of globally unique identifier |
None. |
|
| FilterMaxCount | integer |
None. |
|
| FilterNoOrderInDays | integer |
None. |
|
| FilterNoCampaignInDays | integer |
None. |
|
| FilterMustNotBeStopped | boolean |
None. |
|
| FilterOrderOnProducts | Collection of globally unique identifier |
None. |
|
| FilterOrderOnCampaigns | Collection of globally unique identifier |
None. |
|
| DestinationType | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"campaignId": "7672f731-2793-4b49-8cef-175b6110e5a3",
"toPersonIds": [
"5c1cf46f-873d-4495-ba33-69b4d5493f52",
"fc8ab661-b8c5-4af1-b47e-994a4cb291e3"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"4be0c5ad-c2fb-4b95-86fd-ec9d46a06b2e",
"f02cf6a8-43bf-437c-8782-2d06d7d33023"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"b065c60c-fb56-44cf-9b79-5563e1f40684",
"cb0d683d-5ae4-46ce-9fdd-90115bf5f9d8"
],
"filterOrderOnCampaigns": [
"e7905e82-e640-491f-aa0b-b00cb95e188a",
"0c5cbafe-5c71-47c9-8b87-fcc14aaf1ac2"
],
"destinationType": "sample string 13"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.